# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.authn.oauth
Class GoogleOAuthHelper

    java.lang.Object
      com.google.gdata.client.authn.oauth.OAuthHelper
          com.google.gdata.client.authn.oauth.GoogleOAuthHelper

    public class GoogleOAuthHelper

extends OAuthHelper

Extends the `OAuthHelper` class with details specific to making OAuth requests with Google.

Constructor Summary
`GoogleOAuthHelper(OAuthSigner signer)` Creates a new GoogleOAuthHelper, which is an `OAuthHelper` with specific urls.

Method Summary

Methods inherited from class com.google.gdata.client.authn.oauth.OAuthHelper

`createUserAuthorizationUrl, getAccessToken, getAccessToken, getAccessToken, getAccessTokenUrl, getAuthorizationHeader, getOAuthParametersFromCallback, getOAuthParametersFromCallback, getOAuthUrl, getRequestTokenUrl, getRevokeTokenUrl, getUnauthorizedRequestToken, getUserAuthorizationUrl, getUserAuthorizationUrl, revokeToken, setAccessTokenUrl, setRequestTokenUrl, setRevokeTokenUrl, setUserAuthorizationUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GoogleOAuthHelper

    public GoogleOAuthHelper(OAuthSigner signer)

  Creates a new GoogleOAuthHelper, which is an `OAuthHelper` with specific urls.

  Parameters:
    `signer` - the `OAuthSigner` to use when signing the request